CS::Animation::iSkeletonRagdollNodeFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonRagdollNodeFactory Struct Reference

Factory for the ragdoll animation node. More...

`#include <imesh/animnode/ragdoll.h>`

Inheritance diagram for CS::Animation::iSkeletonRagdollNodeFactory:

List of all members.

## Public Member Functions
virtual void | AddBodyChain (iBodyChain *chain, RagdollState state=STATE_INACTIVE)=0
| Add a new body chain to the ragdoll animation node.
virtual CS::Animation::iBodySkeleton * | GetBodySkeleton () const =0
| Get the physical description of the skeleton.
virtual iSkeletonAnimNodeFactory * | GetChildNode () const =0
| Return the child animation node of this node.
virtual iDynamicSystem * | GetDynamicSystem () const =0
| Get the default dynamic system where the rigid bodies created by the child animation nodes will be evolving.
virtual void | RemoveBodyChain (iBodyChain *chain)=0
| Remove the chain from the ragdoll animation node.
virtual void | SetBodySkeleton (CS::Animation::iBodySkeleton *skeleton)=0
| Set the physical description of the skeleton.
virtual void | SetChildNode (iSkeletonAnimNodeFactory *node)=0
| Set the child animation node of this node.
virtual void | SetDynamicSystem (iDynamicSystem *system)=0
| Set the default dynamic system where the rigid bodies created by the child animation nodes will be evolving.

## Detailed Description

Factory for the ragdoll animation node.

Definition at line 74 of file ragdoll.h.

## Member Function Documentation

virtual void CS::Animation::iSkeletonRagdollNodeFactory::AddBodyChain | ( | iBodyChain * | chain,
|  | RagdollState | state = `STATE_INACTIVE`
| ) |  | `[pure virtual]`

Add a new body chain to the ragdoll animation node.

The dynamic state of each body chain can be set separately.

Parameters:

  state | The initial state of the body chain.

virtual CS::Animation::iBodySkeleton* CS::Animation::iSkeletonRagdollNodeFactory::GetBodySkeleton | ( |  | ) | const`[pure virtual]`

Get the physical description of the skeleton.

virtual iSkeletonAnimNodeFactory* CS::Animation::iSkeletonRagdollNodeFactory::GetChildNode | ( |  | ) | const`[pure virtual]`

Return the child animation node of this node.

virtual iDynamicSystem* CS::Animation::iSkeletonRagdollNodeFactory::GetDynamicSystem | ( |  | ) | const`[pure virtual]`

Get the default dynamic system where the rigid bodies created by the child animation nodes will be evolving.

virtual void CS::Animation::iSkeletonRagdollNodeFactory::RemoveBodyChain | ( | iBodyChain * | chain | ) | `[pure virtual]`

Remove the chain from the ragdoll animation node.

virtual void CS::Animation::iSkeletonRagdollNodeFactory::SetBodySkeleton | ( | CS::Animation::iBodySkeleton * | skeleton | ) | `[pure virtual]`

Set the physical description of the skeleton.

virtual void CS::Animation::iSkeletonRagdollNodeFactory::SetChildNode | ( | iSkeletonAnimNodeFactory * | node | ) | `[pure virtual]`

Set the child animation node of this node.

The ragdoll animation node will add its control on top of the animation of the child node. This child node is not mandatory.

The orientation/position values of the bones that are in state CS::Animation::STATE_INACTIVE or CS::Animation::STATE_KINEMATIC will be read from the child node, while the bones in state CS::Animation::STATE_DYNAMIC will be overwriten by this node.

It is valid to set a null reference as chid node.

virtual void CS::Animation::iSkeletonRagdollNodeFactory::SetDynamicSystem | ( | iDynamicSystem * | system | ) | `[pure virtual]`

Set the default dynamic system where the rigid bodies created by the child animation nodes will be evolving.

The documentation for this struct was generated from the following file:

- imesh/animnode/ragdoll.h